Page MenuHomePhabricator

Set up XTools servers with Puppet
Closed, DeclinedPublic

Description

(This results from the discussion in T167217.)

The XTools servers (documented on Wikitech) are currently manually configured. They should be managed by a Puppet configuration.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 13 2017, 4:58 AM
Matthewrbowker moved this task from Inbox to Working on the XTools board.Jul 13 2017, 4:27 PM
Matthewrbowker moved this task from Working to Other on the XTools board.Jul 17 2017, 9:35 PM

Change 368101 had a related patch set uploaded (by MaxSem; owner: MaxSem):
[operations/puppet@production] WIP: [labs] Puppetize XTools

https://gerrit.wikimedia.org/r/368101

So... I can't figure out how to approve pull requests on Gerrit, but it looks good to me.

Matthewrbowker moved this task from Other to Pending Review on the XTools board.Aug 8 2017, 1:11 AM
Samwilson moved this task from Pending Review to Working on the XTools board.Sep 21 2017, 1:40 AM

Perhaps we should set this up with a Puppet config in our repo (or a new XTools one), so that non-Wikimedia deployers can benefit also.

MusikAnimal moved this task from Working to Other on the XTools board.Feb 5 2018, 5:40 PM
MusikAnimal closed this task as Declined.Aug 10 2018, 11:33 PM
MusikAnimal moved this task from Other to Complete on the XTools board.
MusikAnimal added a subscriber: MusikAnimal.

The process we took to setup XTools is well-documented, so unless someone wants to take this one I don't think it needs to linger on our board.

Change 368101 abandoned by MaxSem:
WIP: [labs] Puppetize XTools

https://gerrit.wikimedia.org/r/368101